Du bist nicht angemeldet.

#1 17.12.2016 16:52:49

Werner
Mitglied

[Gelöst] Plasmaphysik – qt5-Update auf 5.7.1

Seit dem heutigen qt5-Update 5.7.0-1 -> 5.7.1-1 starten meine Qt5-Anwendungen nicht mehr. Die Fehlerausgabe der betroffenen Programme ist identisch:

$ qpdfview
Cannot mix incompatible Qt library (version 0x50700) with this library (version 0x50701)
Abgebrochen (Speicherabzug geschrieben)

(0x50700=5.7.0 und 0x50701=5.7.1)

Die Ausgabe von

ls -l /usr/lib/libQt*

zeigt an, dass die betreffenden Symlinks nun erwartungsgemäß auf 5.7.1 anstelle von 5.7.0 verweisen [Paste].

Lässt sich das Problem mit einem Workaround provisorisch beheben?

Gruß, Werner

Beitrag geändert von Werner (18.12.2016 15:34:15)

Offline

#2 17.12.2016 17:45:20

stefanhusmann
Moderator

Re: [Gelöst] Plasmaphysik – qt5-Update auf 5.7.1

Das Paket neu zu bauen hast du schon versucht?

Edit: Ich meine qpdfview. Oder tritt das Problem auch bei anderen Paketen auf?

Offline

#3 17.12.2016 18:39:58

Werner
Mitglied

Re: [Gelöst] Plasmaphysik – qt5-Update auf 5.7.1

Offen gestanden weiß ich gar nicht erschöpfend, welche Anwendungen ich wo auf Qt5-Basis habe. Auf jeden Fall qpdfview und vlc-nightly-3.0 (von hier). Die beiden Pakete habe ich jetzt versuchsweise mal neu gebaut – aber leider ohne Erfolg, die Fehlerausgabe bleibt.

Ich habe jetzt erstmal in der pacman.conf ein "IgnoreGroup  = qt5" gesetzt und dort, wo das Update schon durchgelaufen war, ein Downgrade der Komponenten auf 5.7.0 durchgeführt.

Gruß, Werner

Beitrag geändert von Werner (17.12.2016 18:40:37)

Offline

#4 17.12.2016 20:20:28

sc44
Mitglied

Re: [Gelöst] Plasmaphysik – qt5-Update auf 5.7.1

Ja, ist bei mir genauso qt5 Programme schießen sich alle ab.
Habe vorübergehend die qt5-base und qt5-svg zurückgesetzt. Wenn es nur um die Programme ginge die ich selber kompiliert habe
wäre es mir ja egal, aber alles andere auch wie z. B smplayer und noch einige andere.

Offline

#5 18.12.2016 15:33:15

Werner
Mitglied

Re: [Gelöst] Plasmaphysik – qt5-Update auf 5.7.1

stefanhusmann schrieb:

Das Paket neu zu bauen hast du schon versucht?

Eigentlich logisch, warum das Neubauen der Pakete nicht zum Erfolg führte. Aber das muss einem auch erstmal einfallen smile

Es liegt am kleinsten gemeinsamen Nenner, der Qt5-Komponente, die den Qt5-Anwendungen ein GTK-Aussehen verpasst. Bei mir führte das erneute Bauen von qt5-styleplugins zum Erfolg. Je nachdem wie man die Qt5-GTK-Angelegenheit bei sich umgesetzt hat, kann auch bei den Paketen qtconfig-qt4 oder qt5ct ein Neubau erforderlich sein.
[Lösungsquelle]

Gruß, Werner

Offline

#6 18.12.2016 18:56:18

sc44
Mitglied

Re: [Gelöst] Plasmaphysik – qt5-Update auf 5.7.1

Ja, läuft wieder alles, super Danke. smile

Offline

Schnellantwort auf dieses Thema

Schreibe deinen Beitrag und versende ihn
Deine Antwort

Fußzeile des Forums